Package io.vertx.serviceproxy.sockjs.generator

## Class SockjsServiceProxyJSGenerator

- java.lang.Object
- - io.vertx.codegen.processor.Generator<ProxyModel>
  - - io.vertx.serviceproxy.sockjs.generator.SockjsServiceProxyJSGenerator

- Direct Known Subclasses:
    `SockjsServiceProxyTSGenerator`

      public class SockjsServiceProxyJSGenerator
      extends io.vertx.codegen.processor.Generator<ProxyModel>

- - ### Field Summary

    - ### Fields inherited from class io.vertx.codegen.processor.Generator

      `env, incremental, kinds, name`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<Class<? extends Annotation>>` | `annotations()` |
    `String` | `filename​(ProxyModel model)` |
    `protected void` | `genLicenses​(PrintWriter writer)` |
    `protected String` | `getJSDocType​(io.vertx.codegen.processor.type.TypeInfo type)` | Generate the JSDoc type of a type
    `String` | `render​(ProxyModel model, int index, int size, Map<String,​Object> session)` |
    `protected String` | `renderLinkToHtml​(io.vertx.codegen.processor.doc.Tag.Link link)` | Render a tag link to an html link, this function is used as parameter of the renderDocToHtml function when it needs to render tag links.

    - ### Methods inherited from class io.vertx.codegen.processor.Generator

      `load`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### filename

          public String filename​(ProxyModel model)

      Overrides:
        `filename` in class `io.vertx.codegen.processor.Generator<ProxyModel>`

    - #### render

          public String render​(ProxyModel model,
                               int index,
                               int size,
                               Map<String,​Object> session)

      Overrides:
        `render` in class `io.vertx.codegen.processor.Generator<ProxyModel>`

    - #### annotations

          public Collection<Class<? extends Annotation>> annotations()

      Overrides:
        `annotations` in class `io.vertx.codegen.processor.Generator<ProxyModel>`

    - #### genLicenses

          protected void genLicenses​(PrintWriter writer)

    - #### renderLinkToHtml

          protected String renderLinkToHtml​(io.vertx.codegen.processor.doc.Tag.Link link)

      Render a tag link to an html link, this function is used as parameter of the renderDocToHtml function when it needs to render tag links.

    - #### getJSDocType

          protected String getJSDocType​(io.vertx.codegen.processor.type.TypeInfo type)

      Generate the JSDoc type of a type